PRKN-1008 : Unable to load the shared library “srvmhas10”

Recientemente hemos tenido que instalar un nuevo Oracle RAC (todavía 10.2), pero en nuevas versiones de Red Hat, en concreto RHEL5.9 64 bits (para el que haya llegado aquí, esta es la versión del kernel ‘2.6.18-348.el5 #1 SMP Wed Nov 28 21:22:00 EST 2012 x86_64 x86_64 x86_64 GNU/Linux‘). Después de solucionar varios errores recogidos en Oracle Support, me encontré con éste que a continuación relato al ejecutar vipca, de muy sencilla solución, pero cuyo descubrimiento se hizo de rogar.

Como digo, al ejecutar el comando vipca (aún no se ha terminado la instalación, y estoy en el último nodo del clúster como usuario root), después de haber resuelto algún que otro error (el último, el que describe la nota 414163.1), recibía la siguiente salida:

PRKH-1010 : Unable to communicate with CRS services.
[PRKH-1000 : Unable to load the SRVM HAS shared library
[PRKN-1008 : Unable to load the shared library "srvmhas10"
or a dependent library, from
LD_LIBRARY_PATH="/u01/app/oracle/product/10.2.0/crs/jdk/jre/lib/i386/client:/u01/app/oracle/product/10.2.0/crs/jdk/jre/lib/i386:/u01/app/oracle/product/10.2.0/crs/jdk/jre/../lib/i386:/u01/app/oracle/product/10.2.0/crs/lib32:/u01/app/oracle/product/10.2.0/crs/srvm/lib32:/u01/app/oracle/product/10.2.0/crs/lib:/u01/app/oracle/product/10.2.0/crs/srvm/lib:/u01/app/oracle/product/10.2.0/crs/lib:/u01/app/oracle/product/10.2.0/crs/oracm/lib:/lib:/usr/lib:/usr/local/lib"
[java.lang.UnsatisfiedLinkError: /u01/app/oracle/product/10.2.0/crs/lib32/libsrvmhas10.so: libclntsh.so.10.1: cannot open shared object file: No such file ordirectory]]]

Sintiéndolo mucho, si has llegado aquí, la solución es sencilla pero pasa por cancelar el proceso actual y ejecutar el runInstaller con la opción de desinstalar (o seleccionarla en el entorno gráfico). 

NOTA: después de ejecutar la desinstalación, es conveniente proceder a borrar el contenido de $ORACLE_CRS_HOME y el de /etc/oracle.

Ahora, procedemos a instalar el paquete glibc-devel:

yum install glibc-devel

Ya se puede lanzar nuevamente la instalación.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: